Index: TXM/trunk/org.txm.libs.deptreeviz/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/.settings/org.eclipse.jdt.core.prefs	(revision 3317)
@@ -0,0 +1,13 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.release=disabled
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.libs.deptreeviz/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/.classpath	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/.classpath	(revision 3317)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry exported="true" kind="lib" path="deptreeviz-0.3.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="dom4j-1.6.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="log4j-1.2.12.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF	(revision 3317)
@@ -0,0 +1,47 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.libs.deptreeviz
+Bundle-SymbolicName: org.txm.libs.deptreeviz
+Bundle-Version: 0.3.0.qualifier
+Automatic-Module-Name: org.txm.libs.deptreeviz
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-ClassPath: .,
+ deptreeviz-0.3.0.jar,
+ dom4j-1.6.1.jar,
+ log4j-1.2.12.jar
+Export-Package: io.gitlab.nats.deptreeviz,
+ org.apache.log4j,
+ org.apache.log4j.chainsaw,
+ org.apache.log4j.config,
+ org.apache.log4j.helpers,
+ org.apache.log4j.jdbc,
+ org.apache.log4j.jmx,
+ org.apache.log4j.lf5,
+ org.apache.log4j.lf5.util,
+ org.apache.log4j.lf5.viewer,
+ org.apache.log4j.lf5.viewer.categoryexplorer,
+ org.apache.log4j.lf5.viewer.configure,
+ org.apache.log4j.net,
+ org.apache.log4j.nt,
+ org.apache.log4j.or,
+ org.apache.log4j.or.jms,
+ org.apache.log4j.or.sax,
+ org.apache.log4j.spi,
+ org.apache.log4j.varia,
+ org.apache.log4j.xml,
+ org.dom4j,
+ org.dom4j.bean,
+ org.dom4j.datatype,
+ org.dom4j.dom,
+ org.dom4j.dtd,
+ org.dom4j.io,
+ org.dom4j.jaxb,
+ org.dom4j.rule,
+ org.dom4j.rule.pattern,
+ org.dom4j.swing,
+ org.dom4j.tree,
+ org.dom4j.util,
+ org.dom4j.xpath,
+ org.dom4j.xpp,
+ org.txm.libs.deptreeviz
+Require-Bundle: org.txm.libs.batik;bundle-version="0.0.0";visibility:=reexport

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.libs.deptreeviz/.project
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/.project	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/.project	(revision 3317)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.libs.deptreeviz</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java	(revision 3317)
@@ -0,0 +1,50 @@
+package org.txm.libs.deptreeviz;
+
+import java.io.File;
+import java.io.IOException;
+import java.io.PrintWriter;
+import java.util.Arrays;
+import java.util.List;
+
+
+import io.gitlab.nats.deptreeviz.DepTree;
+import io.gitlab.nats.deptreeviz.SimpleParse;
+
+public class UDPrintTree {
+	
+	public static File print(File file, List<String> conll) {
+		try {
+			PrintWriter w = new PrintWriter(file);
+			
+			SimpleParse p = SimpleParse.fromConll(conll);
+			DepTree dt = new DepTree<>(p);
+			//dt.setShowingReferent(true);
+			dt.writeTree(w);
+			//w.close();
+			return file;
+		}
+		catch (Throwable e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		return null;
+	}
+	
+	public static void main(String[] args) throws IOException {
+			File file = File.createTempFile("txm", ".svg", new File("/home/mdecorde"));
+			
+			List<String> conll = Arrays.asList(
+					"1	Ce	ce	PRON	_	Number=Sing|Person=3|PronType=Dem	2	nsubj	_	_",
+					"2	doit	devoir	VERB	_	Mood=Ind|Number=Sing|Person=3|Tense=Pres|VerbForm=Fin	0	root	_	_",
+					"3	être	être	AUX	_	VerbForm=Inf	5	cop	_	_",
+					"4	un	un	DET	_	Definite=Ind|Gender=Masc|Number=Sing|PronType=Art	5	det	_	_",
+					"5	général	général	NOUN	_	Gender=Masc|Number=Sing	2	xcomp	_	_",
+					"6	étranger	étranger	ADJ	_	Gender=Masc|Number=Sing	5	amod	_	_",
+					"7	.	.	PUNCT	_	_	2	punct	_	_"
+					);
+		
+			
+			System.out.println("FILE: "+print(file, conll));
+	}
+	
+}

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.libs.deptreeviz/deptreeviz-0.3.0.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/deptreeviz-0.3.0.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.deptreeviz/dom4j-1.6.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/dom4j-1.6.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.deptreeviz/log4j-1.2.12.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/log4j-1.2.12.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.deptreeviz/build.properties
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/build.properties	(revision 0)
+++ TXM/trunk/org.txm.libs.deptreeviz/build.properties	(revision 3317)
@@ -0,0 +1,7 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               deptreeviz-0.3.0.jar,\
+               dom4j-1.6.1.jar,\
+               log4j-1.2.12.jar

Property changes on: TXM/trunk/org.txm.libs.deptreeviz/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

